import { Router } from "express";
import { authenticateToken } from "../middleware/authMiddleware";
import * as sampleController from "../controllers/sampleController";

const router = Router();

router.use(authenticateToken);

router.get("/list", sampleController.getList);
router.post("/", sampleController.create);
router.put("/:id", sampleController.update);
router.delete("/:id", sampleController.remove);

export default router;
